/*
 * BasicTaskCallbackImpl.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file BasicTaskCallbackImpl.hh
 *
 * Header file for the BasicTaskCallbackImpl class.
 */

#ifndef _basic_task_callback_impl_hh
#define _basic_task_callback_impl_hh

#include "BasicTaskCallbackS.h"

/**
 * An implementation of a Qosket::Basic::BasicTaskCallback that logs when its
 * methods were called.
 *
 * @sa Qosket::Basic::BasicTaskCallback
 */
class BasicTaskCallbackImpl :
    public virtual POA_Qosket::Basic::BasicTaskCallback
{

public:

    /**
     * Send a message to the call back.  This is also used by the other methods
     * to do logging.
     *
     * @param msg The message to log.
     */
    virtual void sendMessage(const char *msg)
	throw (CORBA::SystemException);

    /** @copydoc Qosket::Basic::BasicTaskCallback::MissedDeadline */
    virtual void MissedDeadline(void)
	throw (CORBA::SystemException);
    
    /** @copydoc Qosket::Basic::BasicTaskCallback::MadeDeadline */
    virtual void MadeDeadline(void)
	throw (CORBA::SystemException);
    
};

#endif
